js_space_chars(3)

NAME
js_space_chars - place an list of all whitespace chars in a js_string object

SYNOPSIS
#include JsStr.h

int js_space_chars(js_string *js)

DESCRIPTION
js_space_chars clobbers the contents of the js_string object js, and places a list of all of the whitespace characters for the encoding of the js_string object in question in js

ARGUMENTS
js is a pointer to the js_string object we wish to place all of the whitespace characters for js' encoding in.

RETURN VALUE
js_space_chars returns JS_SUCCESS on successful copying of the whitespace characters in to the string, JS_ERROR otherwise.

EXAMPLE
The following fills the string foo with all of the whitespace characters for the ASCII character set.
	js_string *foo;
	foo = js_create(256,1);
	js_set_encode(foo,JS_US_ASCII);
	js_space_chars(foo);

AUTHOR
Sam Trenholme <kiwi-zttfryb@koala.samiam.org>